Bug 149323 - add syntax highlighting for Jamfiles
Summary: add syntax highlighting for Jamfiles
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-29 09:24 UTC by Shriramana Sharma
Modified: 2011-08-12 08:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shriramana Sharma 2007-08-29 09:24:50 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages

Please add syntax highlighting for Jamfiles which are similar to Makefiles but are used by the Boost Build system and other Perforce-Jam-based build systems.

Some references for the syntax:
http://www.boost.org/doc/html/bbv2/advanced.html#bbv2.advanced.jam_language
http://en.wikipedia.org/wiki/Jamfile
http://solder.ath.cx/jamdoc/jam-guide.html
Comment 1 Sebastian Pipping 2007-10-06 02:55:26 UTC
Is this what you ask for?:
http://www.kde-files.org/content/show.php/Jamfile?content=50830
Comment 2 Shriramana Sharma 2007-10-06 13:00:17 UTC
Yes, so please take this as a request to include those and other useful Kate highlighters from kde-files.org into the default distro. Thanks for the link, BTW. Didn't even know of such a section in kde-files.org!
Comment 3 Christoph Cullmann 2011-08-12 08:20:56 UTC
Git commit 71de780b16e48e5e4b03e06b7781871a92a3cec2 by Christoph Cullmann.
Committed on 12/08/2011 at 10:20.
Pushed by cullmann into branch 'master'.

import jam hl from kde-files.org
license allows that, will notify author
BUG: 149323

A  +347  -0    part/syntax/data/jam.xml

http://commits.kde.org/kate/71de780b16e48e5e4b03e06b7781871a92a3cec2